javax.jws

## Enum WebParam.Mode

- java.lang.Object
- - java.lang.Enum<WebParam.Mode>
  - - javax.jws.WebParam.Mode

- All Implemented Interfaces:
    Serializable, Comparable<WebParam.Mode>
  Enclosing class:
    WebParam

      public static enum WebParam.Mode
      extends Enum<WebParam.Mode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IN`
    `INOUT`
    `OUT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebParam.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WebParam.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IN

          public static final WebParam.Mode IN

    - #### OUT

          public static final WebParam.Mode OUT

    - #### INOUT

          public static final WebParam.Mode INOUT

  - ### Method Detail

    - #### values

          public static WebParam.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebParam.Mode c : WebParam.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebParam.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.